$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 BigQueryPartitioning export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  ingestionTimePartition:
    description: Ingestion time partitioning.
    $ref: IngestionTimePartition.yaml
  integerRangePartition:
    description: Integer range partitioning.
    $ref: IntegerRangePartition.yaml
  requirePartitionFilter:
    description: If true, queries over the table require a partition filter.
    type: boolean
  timeUnitPartition:
    description: Time unit column partitioning.
    $ref: TimeUnitPartition.yaml
